Package org.apache.tomcat.util.buf

## Class HexUtils

- java.lang.Object
- - org.apache.tomcat.util.buf.HexUtils

-     public final class HexUtils
      extends java.lang.Object

  Tables useful when converting byte arrays to and from strings of hexadecimal digits. Code from Ajp11, from Apache's JServ.
  Author:
    Craig R. McClanahan

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HexUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static byte[]` | `fromHexString​(java.lang.String input)` |
    `static int` | `getDec​(int index)` |
    `static byte` | `getHex​(int index)` |
    `static java.lang.String` | `toHexString​(byte[] bytes)` |
    `static java.lang.String` | `toHexString​(char c)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HexUtils

          public HexUtils()

  - ### Method Detail

    - #### getDec

          public static int getDec​(int index)

    - #### getHex

          public static byte getHex​(int index)

    - #### toHexString

          public static java.lang.String toHexString​(char c)

    - #### toHexString

          public static java.lang.String toHexString​(byte[] bytes)

    - #### fromHexString

          public static byte[] fromHexString​(java.lang.String input)